com.hazelcast.jet.function

## Interface DistributedIntPredicate

- All Superinterfaces:
    IntPredicate, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedIntPredicate
      extends IntPredicate, Serializable

  `Serializable` variant of `java.util.function.IntPredicate` which declares checked exception.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DistributedIntPredicate` | `and(DistributedIntPredicate other)` `Serializable` variant of `java.util.function.IntPredicate#and(IntPredicate)`.
    `default DistributedIntPredicate` | `negate()` `Serializable` variant of `IntPredicate.negate()`.
    `default DistributedIntPredicate` | `or(DistributedIntPredicate other)` `Serializable` variant of `java.util.function.IntPredicate#or(IntPredicate)`.
    `default boolean` | `test(int value)`
    `boolean` | `testEx(int value)` Exception-declaring version of `IntPredicate.test(int)`.

    - ### Methods inherited from interface java.util.function.IntPredicate

      `and, or`

- - ### Method Detail

    - #### testEx

          boolean testEx(int value)
                  throws Exception

      Exception-declaring version of `IntPredicate.test(int)`.
      Throws:
        `Exception`

    - #### test

          default boolean test(int value)

      Specified by:
        `test` in interface `IntPredicate`

    - #### and

          default DistributedIntPredicate and(DistributedIntPredicate other)

      `Serializable` variant of `java.util.function.IntPredicate#and(IntPredicate)`.

    - #### negate

          default DistributedIntPredicate negate()

      `Serializable` variant of `IntPredicate.negate()`.
      Specified by:
        `negate` in interface `IntPredicate`

    - #### or

          default DistributedIntPredicate or(DistributedIntPredicate other)

      `Serializable` variant of `java.util.function.IntPredicate#or(IntPredicate)`.

Copyright © 2018. All rights reserved.